Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrStrikethrough Class Reference

Pango strikethrough C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrStrikethrough:

List of all members.

## Public Member Functions

Constructors

- AttrStrikethrough (bool strikethrough=true)
    Construct a new font strike-through attribute.

Accessors

- bool strikethrough () const
    Returns true if the text is struck-through.

Methods

- void set_strikethrough (bool strikethrough)
    Sets whether the text should be struck-through.

## Detailed Description

Pango strikethrough C++ wrapper class.

AttrStrikethrough wraps the strikethrough attribute (ATTR_STRIKETHROUGH).

## Constructor & Destructor Documentation

Xfc::Pango::AttrStrikethrough::AttrStrikethrough | ( | bool | strikethrough = `true` | ) | `[explicit]`

Construct a new font strike-through attribute.

Parameters:

  | strikethrough | Set true if the text should be struck-through.

## Member Function Documentation

void Xfc::Pango::AttrStrikethrough::set_strikethrough | ( | bool | strikethrough | ) |

Sets whether the text should be struck-through.

Parameters:

  | strikethrough | Set true if the text should be struck-through.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3